#pragma once

#include <vector>

#include "AudioSample.h"

class AudioSynth
{
public:
    AudioSynth();

    AudioSamplePtr getConstant(unsigned amplitude, unsigned duration) const;

    AudioSamplePtr getSineWave(double freq, unsigned duration) const;
};
